Subject: [ippm] Performance Measurement Liaison Response to Broadband Forum

From: David Sinicrope <[email-masked]>
Date: Tue, 24 Sep 2013 23:57:10 +0000

Hi All,
Below is a draft liaison put together with the LMAP, IPPM, Homenet and BM WG Chairs in response to the Broadband Forum liaisons noted below.
Please review the liaison and send comments to the relevant WG email list by Monday October 1, 2013 (e.g., if a change to the LMAP response section is needed, use the LMAP list to discuss your comment).  Once vetted within the respective WGs, any resulting changes will be incorporated and the liaison sent to Broadband Forum.

Thanks,
Dave Sinicrope
IETF/Broadband Forum Liaison Manager

******  Begin Liaison Text  ********

Date: October xx, 2013

To:
Christophe Alter, Technical Committee Chair, Broadband Forum ([email-masked]<mailto:[email-masked]>)

From:
Dan Romascanu, IETF Large-Scale Measurement of Broadband Performance WG Chair ([email-masked]<mailto:[email-masked]>)
Jason Weil, IETF Large-Scale Measurement of Broadband Performance WG Chair ([email-masked]<mailto:[email-masked]>)
Brian Trammell, IETF IP Performance Metrics WG Chair ([email-masked]<mailto:[email-masked]>)
Bill Cerveny, IETF IP Performance Metrics WG Chair ([email-masked]<mailto:[email-masked]>)
Ray Bellis, IETF Home Networking WG Chair ([email-masked]<mailto:[email-masked]>)
Mark Townsley, IETF Home Networking WG Chair ([email-masked]<mailto:[email-masked]>)
Sarah Banks, IETF Benchmarking Methodology WG Chair ([email-masked]<mailto:[email-masked]>)
Al Morton, IETF Benchmarking Methodology WG Chair ([email-masked]<mailto:[email-masked]>)

CC:
David Sinicrope, IETF/Broadband Forum Liaison Manager ([email-masked]<mailto:[email-masked]>)
Ross Callon, IETF Internet Architecture Board ([email-masked]<mailto:[email-masked]>)
Jari Arkko, IETF Chair ([email-masked]<mailto:[email-masked]>)
Robin Mersh, Broadband Forum CEO ([email-masked]<mailto:[email-masked]>)
Gabrielle Bingham, Broadband Forum Secretariat ([email-masked]<mailto:[email-masked]>)
Jason Walls, Broadband Home Working Group Co-Chair ([email-masked]<mailto:[email-masked]>)
John Blackford, Broadband Home Working Group Co-Chair ([email-masked]<mailto:[email-masked]>)
Dave Thorne, Broadband Forum E2E Architecture WG Chair ([email-masked]<mailto:[email-masked]>)
Dave Allan, Broadband Forum E2E Architecture WG Chair ([email-masked]<mailto:[email-masked]>)
Sven Ooghe, Broadband Forum E2E Architecture WG Vice Chair ([email-masked]<mailto:[email-masked]>)
Peter Adams, Broadband Forum Operations and Network Management WG Chair ([email-masked]<mailto:[email-masked]>)

Thank-you for your liaisons listed below and keeping the IETF in mind while developing work work on Broadband Forumv(BBF) WT-304 Broadband Access Service Attributes and Performance Metrics.

BBF Liaisons to date:
Mar 2013 - https://datatracker.ietf.org/liaison/1243/  to IETF Chair and IESG
Dec 2012 - https://datatracker.ietf.org/liaison/1221/  to IPPM chairs and Transport and Ops ADs
Sep 2012 - https://datatracker.ietf.org/liaison/1185/  to IETF Chair and IESG
Aug 2012 - https://datatracker.ietf.org/liaison/1179/  to Ops Area Directors

Thank you also for your patience.  While there has been significant interest in large-scale measurement of Broadband performance, formal IETF working groups to address major components of this topic had not been chartered until this summer.  Now that the IPPM WG has been re-chartered (to consider measurement methods appropriate for large-scale measurements) and the LMAP WG formed (to consider the architectural framework and operational components), both groups look forward to communicating with the BBF on this subject.

In addition to LMAP and IPPM, you may also want to consider BMWG and Homenet for some of your WT-304 efforts.  Please see the links below for all of these working groups’ charters, scope and work plans.

LMAP (Ops and Mgmt Area) - https://datatracker.ietf.org/wg/lmap/charter/
IPPM (Transport Area) - https://datatracker.ietf.org/wg/ippm/charter/
BMWG (Ops and Mgmt Area) - https://datatracker.ietf.org/wg/bmwg/charter/
HomeNet (Internet Area) - https://datatracker.ietf.org/wg/homenet/charter/

We note that you would like to reference IETF protocols and work to satisfy the requirements of your architecture.  We believe this is a good division of work and scope and would be happy to cooperate along these lines.  We encourage specific communication with each of the individual working groups via their Chairs along the lines of their charters.  For topics that cross one or more WGs, please address the liaison to the Chairs of all of the relevant working groups and the liaison manager from the IETF who will help direct the liaison to the appropriate WG or IETF authority.

The LMAP WG is reviewing your March 2013 Liaison and notes the following requests for information:

  1.  Feedback on the use of SIP to provide an inter and intra domain mechanism to probe test target resource availability.
  2.  Comments on the use of DNS-SD(RFC6763) and mDNS (RFC6762) to support BBF's service attribute communication.
  3.  Information model development for test and report parameters

LMAP WG Response:

The LMAP WG was formed in June and held its first meeting in July of this year. Following the goals and milestones as outlined in the WG Charter that can be found in the above link, the WG will be focussed on finalizing Use Case and Framework documents and then beginning work on the Information Model document. The Information Model was mentioned as an area of interest by the BBF in the March Liaison. The LMAP WG would welcome input from the BBF as it begins work on the Information Model document. For reference, the Informational Model scope as described in the LMAP WG Charter is included for reference:

Information Model, the abstract definition of the information carried from the Controller to the MA and the information carried from the MA to the Collector. It includes

   * The metric(s) that can be measured and values for its parameters such as the Peer MA participating in the measurement and the desired environmental conditions (for example, only conduct the measurement when there is no user traffic observed)

   * The schedule: when the measurement should be run and how the results should be reported (when and to which Collector)

   * The report: the metric(s) measured and when, the actual result, and supporting metadata such as location. Result reports may be organized in batches or may be reported immediately, such as for an on-demand measurement.
In regards to interest of using DNS-SD and mDNS in support of service attribute communication between devices within the home network, the LMAP WG would defer this question and possible further analysis to work that is taking place in the Homenet WG. It should be noted that currently the mDNS Protocol is constrained to a single link based on its use of link-local multicast. If the BBF would be interested in the use of mDNS and DNS-SD in a multi-segmented home network, this would require new work to those protocols that is being discussed as part of a new Working Group. Discussion of that WG charter language is currently taking place.

In regards to the use of SIP as a inter-domain and/or intra-domain mechanism for the discovery of test target (Measurement Peer in LMAP terminology) availability, this point represents communication that would take place between a Measurement Agent and a Measurement Peer. Communication requirements as part of a test between a MA and its measurement target (Measurement Peer) is currently not included as one of the work items per the LMAP charter but may be a topic of discussion for future work.

IPPM WG Response:

Please be advised that the IPPM WG has considered updates to RFC 2680 and 2681 in their March 2013 rechartering, but these have been deferred until it is clear what impact the effort to update the framework (2330) and the effort to define a registry on the March 2013 charter will have on these updates. IPPM expects that the result will be compatible with 2680 and 2681, and as such developments based on these RFCs may continue as they are.

Many of the issues with 3148 raised in Question 1 of the December 2012 BBF liaison may be addressed by draft-ietf-ippm-model-based-metrics-00, on which work is progressing under their current charter; discussion of issues with bulk capacity measurement not addressed therein is welcome on the [email-masked]<mailto:[email-masked]> mailing list.

With respect to the remaining outstanding questions, the IPPM WG will take them as information that BBF is considering the use of 3393 and 6349 as well; IPPM is not considering updates to these at this time, so they remain a stable basis for further work, noting again in the latter case that draft-ietf-ippm-model-based-metrics-00 aims to address issues in using TCP to measure TCP bulk transfer capacity.

IPPM understands from Question 6 that 'moving up the stack', looking specifically at VoIP, streaming video, and DNS resolution time, are of interest to BBF. IPPM is not currently working on metrics in this area, but would certainly consider contributions thereon under its current charter, and have reviewed at least one individual draft on buffered streaming video performance during the chartering discussions in March 2013.

As for the general line of these questions (especially 6), please note the ongoing registry effort on the IPPM charter. There are three individual drafts: draft-bagnulo-ippm-new-registry, draft-bagnulo-ippm-new-registry-independent, and draft-claise-ippm-perf-metric-registry. The authors are currently working on a unified approach to a performance metrics registry, with the intention that the outcome be adopted for further development within the IPPM WG. This registry will be populated with recommended metrics for LMAP use cases, which would represent a consensus statement from IPPM on the metrics IPPM consider useful in this area. Work in this area is ongoing, and we welcome commentary on the [email-masked]<mailto:[email-masked]> list once the unified registry document is published.

We noted that there might be interest in the identification of test reference points.  This is currently on the IPPM WG charter and we now have an initial working group document (http://datatracker.ietf.org/doc/draft-ietf-ippm-lmap-path<http://datatracker.ietf.org/doc/draft-ietf-ippm-lmap-path/>).

The IETF encourages those in the BBF who are interested in this IETF work, to participate and help drive the work via the relevant IETF WG email lists noted above and the IETF development processes.  While formal liaison communication is necessary and beneficial, direct, active participation by interested parties is very helpful and complementary to drive the deliverables needed between the organizations.  Please note that access to all relevant IETF working groups, email lists, documents and process is open so than any interested party may participate and contribute.

Likewise, the IETF would be happy to provide input and feedback on BBF related work.  We understand the BBF is a membership organization and may restrict access to its relevant works in progress.  To facilitate cooperation with the IETF, please liaise any work in progress you would like the IETF to consider, review, comment on, collaborate on, etc., with the understanding that access to the liaison and its attachments will be open and not be restricted or limited to BBF membership.

Sincerely,
LMAP, IPPM, Homenet and BMWG Chairs

******  End Liaison Text  ********